Subject: [PATCH] af_packet: match_fanout_group() can be static

From: Fengguang Wu <[email-masked]>
Date: Thu, 23 Aug 2012 19:51:21 +0800

cc: Eric Leblond <[email-masked]>
Signed-off-by: Fengguang Wu <[email-masked]>
---
 net/packet/af_packet.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- linux-next.orig/net/packet/af_packet.c	2012-08-23 19:48:43.209188551 +0800
+++ linux-next/net/packet/af_packet.c	2012-08-23 19:48:53.413188794 +0800
@@ -1273,7 +1273,7 @@ static void __fanout_unlink(struct sock
 	spin_unlock(&f->lock);
 }
 
-bool match_fanout_group(struct packet_type *ptype, struct sock * sk)
+static bool match_fanout_group(struct packet_type *ptype, struct sock * sk)
 {
 	if (ptype->af_packet_priv == (void*)((struct packet_sock *)sk)->fanout)
 		return true;